Bug 460667 - gdm invokes screensaver as gdm user
gdm invokes screensaver as gdm user
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-29 11:20 EDT by Mamoru TASAKA
Modified: 2015-01-14 18:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-29 14:06:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xscreensaver-demo screenshot (417.56 KB, image/png)
2008-08-29 11:20 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Mamoru TASAKA 2008-08-29 11:20:30 EDT
Created attachment 315371 [details]
xscreensaver-demo screenshot

Description of problem:
(Screenshot attached)
gdm seems to invoke xscreensaver or gnome-screensaver as "gdm" user
when gdm session is launched but no one has actually logged in to GNOME
session, for example.
After someone logs in to GNOME session, xscreensaver or gnome-screensaver
still runs as gdm user, which leads strange behaviour.

Version-Release number of selected component (if applicable):
gdm-2.23.91-0.20080828.2.fc10
xscreensaver-base-5.07-1.fc10
gnome-screensaver-2.23.3-0.2008.05.29.3.fc10

How reproducible:
100%

Steps to Reproduce:
1. init 5, gdm launches
2. someone logs in to GNOME session
3. call xscreensaver-demo
  
Actual results:
screenshot attached.
Here xscreensaver-demo warns that xscreensaver-demo is called as tasaka1 user while
xscreensaver is running as "gdm" user.

Expected results:
xscreensaver should be running as login user

Additional info:
Comment 1 jmccann 2008-08-29 14:06:50 EDT
Good catch.  This is fixed upstream now and will appear in rawhide shortly.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.